---
lang: en
title: 'API docs: rest-crud.crudrestcontroller.repository'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.crudrestcontroller.repository.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [CrudRestController](./rest-crud.crudrestcontroller.md) &gt; [repository](./rest-crud.crudrestcontroller.repository.md)

## CrudRestController.repository property

The backing repository used to access &amp; modify model data.

**Signature:**

```typescript
readonly repository: EntityCrudRepository<T, IdType>;
```

